DbRepStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbRepStat,DbRepStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbRepStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbRepStat

public class DbRepStat
extends Object

The DbRepStat object is used to return replication subsystem statistics.

Field Summary
`int` | `st_dupmasters` The number of duplicate master conditions detected.
`int` | `st_election_cur_winner` The election winner.
`int` | `st_election_gen` The election generation number.
`DbLsn` | `st_election_lsn` The maximum LSN of election winner.
`int` | `st_election_nsites` The number sites expected to participate in elections.
`int` | `st_election_priority` The election priority.
`int` | `st_election_status` The current election phase (0 if no election is in progress).
`int` | `st_election_tiebreaker` The election tiebreaker value.
`int` | `st_election_votes` The votes received this election round.
`int` | `st_elections` The number of elections held.
`int` | `st_elections_won` The number of elections won.
`int` | `st_env_id` The current environment ID.
`int` | `st_env_priority` The current environment priority.
`int` | `st_gen` The current generation number.
`int` | `st_in_recovery` The site is currently in client recovery.
`int` | `st_log_duplicated` The number of duplicate log records received.
`int` | `st_log_queued` The number of log records currently queued.
`int` | `st_log_queued_max` The maximum number of log records ever queued at once.
`int` | `st_log_queued_total` The total number of log records queued.
`int` | `st_log_records` The number of log records received and appended to the log.
`int` | `st_log_requested` The number of log records missed and requested.
`int` | `st_master` The current master environment ID.
`int` | `st_master_changes` The number of times the master has changed.
`int` | `st_msgs_badgen` The number of messages received with a bad generation number.
`int` | `st_msgs_processed` The number of messages received and processed.
`int` | `st_msgs_recover` The number of messages ignored due to pending recovery.
`int` | `st_msgs_send_failures` The number of failed message sends.
`int` | `st_msgs_sent` The number of messages sent.
`int` | `st_newsites` The number of new site messages received.
`DbLsn` | `st_next_lsn` In replication environments configured as masters, the next LSN expected.
`int` | `st_nsites` The number of sites believed to be in the replication group.
`int` | `st_nthrottles` Transmission limited.
`int` | `st_outdated` The number of outdated conditions detected.
`int` | `st_status` The current replication mode.
`int` | `st_txns_applied` The number of transactions applied.
`DbLsn` | `st_waiting_lsn` The LSN of the first log record we have after missing log records being waited for, or 0 if no log records are currently missing.

Constructor Summary
`DbRepStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### st_status

    public int st_status

  The current replication mode. Set to `Db.DB_REP_MASTER` if the environment is a replication master, `Db.DB_REP_CLIENT` if the environment is a replication client, `Db.DB_REP_LOGSONLY` if the environment is a log-files-only replica, or 0 if replication is not configured.

### st_next_lsn

    public DbLsn st_next_lsn

  In replication environments configured as masters, the next LSN expected. In replication environments configured as clients, the next LSN to be used.

### st_waiting_lsn

    public DbLsn st_waiting_lsn

  The LSN of the first log record we have after missing log records being waited for, or 0 if no log records are currently missing.

### st_dupmasters

    public int st_dupmasters

  The number of duplicate master conditions detected.

### st_env_id

    public int st_env_id

  The current environment ID.

### st_env_priority

    public int st_env_priority

  The current environment priority.

### st_gen

    public int st_gen

  The current generation number.

### st_in_recovery

    public int st_in_recovery

  The site is currently in client recovery. When this field is set, LSN values are not authoritative.

### st_log_duplicated

    public int st_log_duplicated

  The number of duplicate log records received.

### st_log_queued

    public int st_log_queued

  The number of log records currently queued.

### st_log_queued_max

    public int st_log_queued_max

  The maximum number of log records ever queued at once.

### st_log_queued_total

    public int st_log_queued_total

  The total number of log records queued.

### st_log_records

    public int st_log_records

  The number of log records received and appended to the log.

### st_log_requested

    public int st_log_requested

  The number of log records missed and requested.

### st_master

    public int st_master

  The current master environment ID.

### st_master_changes

    public int st_master_changes

  The number of times the master has changed.

### st_msgs_badgen

    public int st_msgs_badgen

  The number of messages received with a bad generation number.

### st_msgs_processed

    public int st_msgs_processed

  The number of messages received and processed.

### st_msgs_recover

    public int st_msgs_recover

  The number of messages ignored due to pending recovery.

### st_msgs_send_failures

    public int st_msgs_send_failures

  The number of failed message sends.

### st_msgs_sent

    public int st_msgs_sent

  The number of messages sent.

### st_newsites

    public int st_newsites

  The number of new site messages received.

### st_nsites

    public int st_nsites

  The number of sites believed to be in the replication group.

### st_nthrottles

    public int st_nthrottles

  Transmission limited. This indicates the number of times that data transmission was stopped to limit the amount of data sent in response to a single call to `DbEnv.replicationProcessMessage`.

### st_outdated

    public int st_outdated

  The number of outdated conditions detected.

### st_txns_applied

    public int st_txns_applied

  The number of transactions applied.

### st_elections

    public int st_elections

  The number of elections held.

### st_elections_won

    public int st_elections_won

  The number of elections won.

### st_election_cur_winner

    public int st_election_cur_winner

  The election winner.

### st_election_gen

    public int st_election_gen

  The election generation number.

### st_election_lsn

    public DbLsn st_election_lsn

  The maximum LSN of election winner.

### st_election_nsites

    public int st_election_nsites

  The number sites expected to participate in elections.

### st_election_priority

    public int st_election_priority

  The election priority.

### st_election_status

    public int st_election_status

  The current election phase (0 if no election is in progress).

### st_election_tiebreaker

    public int st_election_tiebreaker

  The election tiebreaker value.

### st_election_votes

    public int st_election_votes

  The votes received this election round.

Constructor Detail

### DbRepStat

    public DbRepStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.